::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: creates sqlite3 database  
::
:: usage 
:: ----------
:: createdb.bat [db_name] [sql_file_name]
::
:: if arguments are supplied, all of the preceding 
:: values must be supplied.
::
:: defaults
:: ----------
:: [db_name] = snaps
:: [sql_file_name] = baseline.sql
::
:: examples
:: ----------
:: createdb.bat mydb
:: createdb.bat mydb myscript.sql
::
:: changes
:: ----------
:: Ash Tewari - 09/09/20008 - created script
::
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

@echo off

setlocal

set sql_file_name=%2
set db_name=%1

if "%2" == "" set sql_file_name=baseline.sql
if "%1" == "" set db_name=test

echo creating database '%db_name%' using '%sql_file_name%' ...

sqlite3.exe %db_name% < %sql_file_name%

echo done.